POST /v1/dms-templates/{id}/render-and-save POST /v1/dms-templates/{id}/render-and-save
Render a DMS template, create a DMS document, and upload the PDF to storage
Datenmodell
Diese Operation arbeitet auf der Entität DMS Template (dms_template). Alle 16 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz .
Request Body
Name Typ Beschreibung variableserforderlich objectentityRefsobjecttitleerforderlich stringfolderIdstringtagsstring[]
Pfad-Parameter
Name Typ Beschreibung iderforderlich string
Beispiel
curl -X POST https://api.codemeta-os.de/v1/dms-templates/{id}/render-and-save \
-H "X-Tenant-Id: $TENANT " \
-H "Content-Type: application/json" \
-b cookies.txt \
-d '{
"variables": null,
"entityRefs": null,
"title": "string",
"folderId": "string",
"tags": []
}' const result = await cm.dms - templates. post ({
"variables" : null ,
"entityRefs" : null ,
"title" : "string" ,
"folderId" : "string" ,
"tags" : []
});
Antwortcodes
HTTP
Bedeutung
200
Default Response
Beschreibung folgt
Diese Operation hat noch keine kuratierte Annotation. Der Inhalt wird beim nächsten Doku-Update ergänzt.